/**
 * Extracts the timestamp of a date, if the input is a date. Otherwise
 * just returns the input back
 * @param {*} input
 * @returns {*}
 */
module.exports = function (input) {
    if (input && input.getTime) {
        return input.getTime();
    }
    else {
        return input;
    }
}