const isEmpty = require('./isEmpty');
const isArray = require('./isArray');

/**
 * Checks if the input is an object and not an array or null
 * @param  {*} v
 * @return {Boolean}
 */
module.exports = function (v) {
    return typeof v === 'object' && !isArray(v) && !isEmpty(v);
};